Bug 523976 - udev-post init script collected problems LSB-compilant
udev-post init script collected problems LSB-compilant
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: InitScriptsProject
  Show dependency treegraph
 
Reported: 2009-09-17 09:09 EDT by Yulia Kopkova
Modified: 2010-02-11 23:46 EST (History)
5 users (show)

See Also:
Fixed In Version: 145-15.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-11 23:46:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yulia Kopkova 2009-09-17 09:09:32 EDT
Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts udev-post init
script have some LSB-compilant problems:

1. status action should return code "3" for stopped service
   # service udev-post stop
   # service udev-post status ; echo $?
now: 0
expected: 3

2. nonexist action should have returncode 3:
   # service udev-post nonexist ; echo $?
   Usage: /etc/init.d/udev-post {start|stop|reload}
now: 1
expected: 3 

3. insufficient rights, there should be return code 4
   # su testuserqa -c "service udev-post restart"; echo $?
now: 1 
expected: 4

The reason of filling it is "InitScripts LSB compliance project"
https://wiki.test.redhat.com/BaseOs/Projects/InitScripts
Comment 1 Mike Christie 2009-09-18 21:02:55 EDT
Should this be for a udev component or should the udev-post script references be a scsi-target-utils script?
Comment 2 Yulia Kopkova 2009-09-24 08:53:13 EDT
Sorry Mike, some changes for comment #1:

2. nonexist action should have returncode 2:
   # service udev-post nonexist ; echo $?
   Usage: /etc/init.d/udev-post {start|stop|reload}
now: 1
expected: 2
Comment 3 Fedora Update System 2009-11-11 19:51:03 EST
udev-145-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11396
Comment 4 Bug Zapper 2009-11-16 07:33:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Yulia Kopkova 2009-11-18 08:46:27 EST
Harald, 

I've tried udev-145-13.fc12. It does not start and return exit code "4"
# service udev-post start ; echo $?
4
Comment 6 Yulia Kopkova 2009-11-18 08:48:26 EST
and 

nonexisting action should have return code "2"

# service udev-post nonexist ; echo $?
Usage: /etc/init.d/udev-post {start|stop|reload}
3
now: 3
expected: 2
Comment 7 Fedora Update System 2009-11-27 16:47:39 EST
udev-145-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Yulia Kopkova 2009-12-11 10:47:22 EST
udev-145-14 still have problems mentioned in comments #5 and #6.
Comment 10 Fedora Update System 2010-01-26 07:57:45 EST
udev-145-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-15.fc12
Comment 11 Yulia Kopkova 2010-01-26 09:36:01 EST
Tried udev-145-15.fc12

There is a situation in start action when lock file is not created:

# check, if anything is todo
[ "$dest" = '*' ] && exit 0
Comment 12 Harald Hoyer 2010-01-26 09:44:51 EST
(In reply to comment #11)
> Tried udev-145-15.fc12
> 
> There is a situation in start action when lock file is not created:
> 
> # check, if anything is todo
> [ "$dest" = '*' ] && exit 0    

Is that a problem?
Comment 13 Yulia Kopkova 2010-01-26 10:02:14 EST
I thins it is not a problem. Just made a note.

Verified all issues were fixed in udev-145-15.fc12
Comment 14 Fedora Update System 2010-01-27 19:55:46 EST
udev-145-15.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1138
Comment 15 Fedora Update System 2010-02-11 23:46:09 EST
udev-145-15.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.